#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EChatInfoType {
    StateChange = 1,
    InfoUpdate = 2,
    MemberLimitChange = 3,
}

impl EChatInfoType {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::StateChange as i32 => Some(Self::StateChange),
            x if x == Self::InfoUpdate as i32 => Some(Self::InfoUpdate),
            x if x == Self::MemberLimitChange as i32 => Some(Self::MemberLimitChange),
            _ => None,
        }
    }
}
